Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
help unmasking sys-apps/ed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
praka123
Apprentice
Apprentice


Joined: 19 Jan 2006
Posts: 181
Location: Kerala,India

PostPosted: Mon May 01, 2006 2:02 pm    Post subject: help unmasking sys-apps/ed Reply with quote

Hello,
I am upgrading to modular Xorg 7 and already removed Xorg6.8 and now i added packages that needs upgrade in /etc/portage/package.keywords like :
Code:
ys-apps/man ~x86
sys-apps/portage ~x86
sys-apps/ed   ~x86
dev-python/pycrypto ~x86
app-doc/opengl-manpages ~x86
app-doc/xorg-docs ~x86
app-doc/xorg-sgml-doctools ~x86 ....

now when i tried localhost / # emerge --pretend xorg-x11
Code:
localhost / # emerge --pretend xorg-x11

These are the packages that would be merged, in order:

Calculating dependencies |
!!! All ebuilds that could satisfy "sys-apps/ed" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-apps/ed-0.2-r6 (masked by: )

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "x11-libs/libXaw-1.0.2" [ebuild])

now i already unmasked by adding in /etc/portage/package.keywords-sys-apps/ed ~x86 .how do i unmask this..help :)
_________________
Linux Rocks!Grab it Yaara!
spread the Linux message!add this to ur siggY- http://getgnulinux.org
http://linux.oneandoneis2.org/LNW.htm
Back to top
View user's profile Send private message
mutlu_inek
Tux's lil' helper
Tux's lil' helper


Joined: 20 Nov 2004
Posts: 141

PostPosted: Mon May 01, 2006 2:15 pm    Post subject: Reply with quote

That is weird. This package is not meant to be masked. See http://packages.gentoo.org/ebuilds/?ed-0.2-r6

I have it on my system and it is not in any of the package.* files.

Have you recently done emerge --sync? If yes, you might want to file a bug.
_________________
www.eff.org - www.fsf.org - www.againsttcpa.com - Video


Last edited by mutlu_inek on Mon May 01, 2006 2:17 pm; edited 1 time in total
Back to top
View user's profile Send private message
alphonce
Apprentice
Apprentice


Joined: 10 Oct 2004
Posts: 184
Location: Sweden

PostPosted: Mon May 01, 2006 2:16 pm    Post subject: Reply with quote

the ed package is stable on all archs so try removing it complete from the masked packages.
_________________
no computer at the moment! :cry:
Back to top
View user's profile Send private message
dgaffuri
Advocate
Advocate


Joined: 05 Jun 2005
Posts: 2078
Location: Italy

PostPosted: Mon May 01, 2006 2:16 pm    Post subject: Reply with quote

I realize this is not a direct answer to your question, but there's only one version of ed, ed-0.2-r6, and it's not masked for any arch except x86-fbsd. What happens if you remove it from package.keywords?

Edit: late answer :(
_________________
Adopt an unanswered post
If you feel that your problem has been solved please edit the top post and add [solved] to the subject
Back to top
View user's profile Send private message
praka123
Apprentice
Apprentice


Joined: 19 Jan 2006
Posts: 181
Location: Kerala,India

PostPosted: Mon May 01, 2006 5:14 pm    Post subject: Reply with quote

now i am in a position where i removed xorg6.8 fully and no X available.i cant complete Xorg7 upgrade due to "ed" masked problem.so please help...how do i unmask
_________________
Linux Rocks!Grab it Yaara!
spread the Linux message!add this to ur siggY- http://getgnulinux.org
http://linux.oneandoneis2.org/LNW.htm
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon May 01, 2006 5:20 pm    Post subject: Reply with quote

Does upgrading portage help you? It looks like portage-2.1_pre10-r1 broke some things in a similar way to what you're seeing:

[portage-2.1_pre10-r1] introduced inconsistency (solved)
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
praka123
Apprentice
Apprentice


Joined: 19 Jan 2006
Posts: 181
Location: Kerala,India

PostPosted: Mon May 01, 2006 5:50 pm    Post subject: Reply with quote

Thanks for the help after emerge --sync ,i upgraded portage to Portage-2.1_pre10-r2. and i am able to emerge ed also.now i need to emerge xorg-x11..wait i'll post the results.Thanks again! :D
_________________
Linux Rocks!Grab it Yaara!
spread the Linux message!add this to ur siggY- http://getgnulinux.org
http://linux.oneandoneis2.org/LNW.htm
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon May 01, 2006 6:22 pm    Post subject: Reply with quote

Glad that worked for you. :D

Moved from Portage & Programming to Duplicate Threads in favour of the thread linked above.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum